云东方

GNU Binutils 2.39 发布 - ELF 链接器现在警告堆栈是否可执行

GNU Binutils 2.39 最值得注意的是,如果堆栈可执行,ELF 链接器现在将生成警告。如果输出二进制文件包含设置了所有三个读/写/执行权限位的段,链接器现在也会发出警告。这些警告旨在帮助开发人员识别可能容易受到可执行内存区域攻击的软件。Binutils 2.39 的这些警告默认启用,但可以通过新的命令行开关禁用。

GNU Binutils 2.39 还在 ELF 链接器中添加了一个“--package-metadata”选项,用于嵌入 JSON 有效负载以支持包元数据规范。同时,Binutils 的 objdump 程序现在支持在其反汇编器输出中突出显示彩色语法。

未经允许不得转载:云东方 » GNU Binutils 2.39 发布 - ELF 链接器现在警告堆栈是否可执行

相關文章

評論 (0)